2018-08-17 05:08 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0004432Kali Linux[All Projects] General Bugpublic2017-12-20 10:36
Reporterijnnji 
Assigned Tosbrun 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version2017.2 
Target VersionFixed in Version2018.1 
Summary0004432: /usr/bin/geoip missing *.yml files
DescriptionThe geoip command is looking for, required, *.yml files in the wrong location.
Steps To Reproduceerror :

root@kali:~# geoip 172.217.8.174
/usr/lib/ruby/2.3.0/psych.rb:474:in `initialize': No such file or directory @ rb_sysopen - /usr/lib/ruby/data/geoip/country_code.yml (Errno::ENOENT)
    from /usr/lib/ruby/2.3.0/psych.rb:474:in `open'
    from /usr/lib/ruby/2.3.0/psych.rb:474:in `load_file'
    from /usr/lib/ruby/vendor_ruby/geoip.rb:68:in `<class:GeoIP>'
    from /usr/lib/ruby/vendor_ruby/geoip.rb:58:in `<top (required)>'
    from /usr/lib/ruby/2.3.0/rubygems/core_ext/kernel_require.rb:55:in `require'
    from /usr/lib/ruby/2.3.0/rubygems/core_ext/kernel_require.rb:55:in `require'
    from /usr/bin/geoip:6:in `<main>'
Additional Informationfix :

ln -s /usr/share/ruby-geoip/geoip/ /usr/lib/ruby/data/geoip


root@kali:~# geoip 8.8.8.8
#<struct GeoIP::Country request="8.8.8.8", ip="8.8.8.8", country_code=225, country_code2="US", country_code3="USA", country_name="United States", continent_code="NA">
Attached Files

-Relationships
+Relationships

-Notes

~0007718

sbrun (manager)

fixed in ruby-geoip version 1.4.0-0kali3
+Notes

-Issue History
Date Modified Username Field Change
2017-12-19 23:55 ijnnji New Issue
2017-12-20 07:54 rhertzog Assigned To => sbrun
2017-12-20 07:54 rhertzog Status new => assigned
2017-12-20 10:36 sbrun Status assigned => resolved
2017-12-20 10:36 sbrun Resolution open => fixed
2017-12-20 10:36 sbrun Fixed in Version => 2018.1
2017-12-20 10:36 sbrun Note Added: 0007718
+Issue History